addProjectIdentityAuthorityMapping
POST
/api/v1/projects/{projectId}/ontology/identity-authorities/mappings
const url = 'https://api.yggy.tech/api/v1/projects/example/ontology/identity-authorities/mappings';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"entityType":"example","sourceField":"example","namespaceUri":"https://example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/projects/example/ontology/identity-authorities/mappings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "entityType": "example", "sourceField": "example", "namespaceUri": "https://example.com" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
entityType
required
string
sourceField
required
string
namespaceUri
required
string format: uri
Example generated
{ "entityType": "example", "sourceField": "example", "namespaceUri": "https://example.com"}Responses
Section titled “ Responses ”Created or replaced
Media type application/json
object
id
string
entityType
required
string
sourceField
required
string
namespaceUri
required
string format: uri
scope
required
string
kind
string
scheme
string
Example
{ "scope": "platform"}Invalid
Media type application/json
object
error
required
string
message
string
Example generated
{ "error": "example", "message": "example"}